Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractWeightedEdge<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge<V,E,O>
              kieker.tools.traceAnalysis.filter.visualization.graph.AbstractWeightedEdge<V,E,O>

Type Parameters:
  `V` - The type of the graph's vertices
  `E` - The type of the graph's edges
  `O` - The type of object from which the graph's elements originate

Direct Known Subclasses:
  WeightedBidirectionalDependencyGraphEdge, WeightedDirectedCallTreeEdge

    public abstract class AbstractWeightedEdge<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

extends AbstractEdge<V,E,O>

Abstract superclass for weighted edges in the visualization package. This class provides weights for the edge itself and both source and target ends.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`AbstractWeightedEdge(V source, V target, O origin, IOriginRetentionPolicy originPolicy)` Creates a new weighted edge between the given vertices.

Method Summary
`AtomicInteger` | `getSourceWeight()` Return this edge's source weight.
`AtomicInteger` | `getTargetWeight()` Return this edge's target weight.
`AtomicInteger` | `getWeight()` Returns this edge's weight.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge
`getIdentifier, getSource, getTarget`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWeightedEdge

    public AbstractWeightedEdge(V source,
                                V target,
                                O origin,
                                IOriginRetentionPolicy originPolicy)

  Creates a new weighted edge between the given vertices.

  Parameters:
    `source` - The source vertex of the edge
    `target` - The target vertex of the edge
    `origin` - The edge's origin object
    `originPolicy` - The origin policy to use for storing the origin object

Method Detail

### getSourceWeight

    public AtomicInteger getSourceWeight()

  Return this edge's source weight.

  Returns:
    See above

### getTargetWeight

    public AtomicInteger getTargetWeight()

  Return this edge's target weight.

  Returns:
    See above

### getWeight

    public AtomicInteger getWeight()

  Returns this edge's weight.

  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net